org.apache.hc.core5.testing.classic

## Class ClassicTestClient

- java.lang.Object
- - org.apache.hc.core5.testing.classic.ClassicTestClient

-     public class ClassicTestClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicTestClient()`
    `ClassicTestClient(SocketConfig socketConfig)`
    `ClassicTestClient(SSLContext sslContext, SocketConfig socketConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(HttpProcessor httpProcessor)`
    `ClassicHttpResponse` | `execute(HttpHost targetHost, ClassicHttpRequest request, HttpContext context)`
    `void` | `shutdown(CloseMode closeMode)`
    `void` | `start()`
    `void` | `start(HttpProcessor httpProcessor)` Deprecated. Use `configure(HttpProcessor)`, `start()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicTestClient

          public ClassicTestClient(SSLContext sslContext,
                                   SocketConfig socketConfig)

    - #### ClassicTestClient

          public ClassicTestClient(SocketConfig socketConfig)

    - #### ClassicTestClient

          public ClassicTestClient()

  - ### Method Detail

    - #### configure

          public void configure(HttpProcessor httpProcessor)

      Since:
        5.3

    - #### start

          @Deprecated
          public void start(HttpProcessor httpProcessor)

      Deprecated. Use `configure(HttpProcessor)`, `start()`.

    - #### start

          public void start()

    - #### shutdown

          public void shutdown(CloseMode closeMode)

    - #### execute

          public ClassicHttpResponse execute(HttpHost targetHost,
                                             ClassicHttpRequest request,
                                             HttpContext context)
                                      throws HttpException,
                                             IOException

      Throws:
        `HttpException`
        `IOException`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.